---
updatedAt: 2026-10-01T07:05:45.000Z
agentTools:
  projectIndex: https://docs.nexhealth.com/v2.2.2/llms.txt
---

# View availabilities

This endpoint returns availabilities for the specified location, optionally filtered by `provider_id`, `operatory_id`, `active` status, or `ignore_past_dates`.

> 📘 Synced or manually created?
>
> Please see the `synced`attribute to understand whether this availability was synced from the practice's health record system, or whether it was manually created. See the [availabilities](https://docs.nexhealth.com/v2.2.2/reference/availabilities-1) landing page to learn more about how this resource works.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "NexHealth API v2.2.2 (Deprecated)",
    "description": "> **⚠️ Deprecated.** v2.2.2 is the legacy version of the NexHealth API and is deprecated; new development should target v3.0.0 (also known by its original date-based name v20240412). Our migration guide walks through every breaking change: https://docs.nexhealth.com/v20240412/docs/api-v2-to-v20240412-migration-guide\n\nWelcome to the developer hub and documentation for NexHealth API. This section of guide describes the operations, response parameters, request parameters, and parameter constraints related to User API. The term Operations refer to functions or methods. The operations are included in requests and send to the web server. Each operation performs a different action or a query on database.",
    "termsOfService": "https://www.nexhealth.com/terms-of-service",
    "contact": {
      "name": "NexHealth",
      "email": "info@nexhealth.com"
    },
    "license": {
      "name": "NexHealth License 1.0",
      "url": "https://www.nexhealth.com/privacy"
    },
    "version": "v2"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "Availabilities",
      "description": "Configure availabilities for providers"
    }
  ],
  "paths": {
    "/availabilities": {
      "get": {
        "summary": "View availabilities",
        "description": "This endpoint returns availabilities for the specified location, optionally filtered by `provider_id`, `operatory_id`, `active` status, or `ignore_past_dates`.",
        "parameters": [
          {
            "in": "header",
            "name": "Nex-Api-Version",
            "description": "The NexHealth API version",
            "required": true,
            "schema": {
              "type": "string",
              "default": "v2"
            }
          },
          {
            "in": "query",
            "name": "subdomain",
            "description": "Used to scope the request to the specified institution",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "location_id",
            "description": "Used to scope the request to the specified location",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "in": "query",
            "name": "page",
            "description": "Page number. Starts with page 1",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1
            }
          },
          {
            "in": "query",
            "name": "per_page",
            "description": "Number of results to return per page. Defaults is 5 per page and Max 300 per page",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 5
            }
          },
          {
            "in": "query",
            "name": "provider_id",
            "description": "Filter for specific provider",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "in": "query",
            "name": "operatory_id",
            "description": "Filter for specific operatory",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "in": "query",
            "name": "active",
            "description": "Filter active/not active",
            "required": false,
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "in": "query",
            "name": "ignore_past_dates",
            "description": "Filter out availabilities configured for specific dates in the past",
            "required": false,
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "in": "query",
            "name": "include[]",
            "description": "Resources to be included in the response",
            "required": false,
            "explode": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "appointment_types"
                ]
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_V2_Entities_WorkingHour_Collection_Response"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_BadRequest"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_Forbidden"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_NotFound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_InternalServerError"
                }
              }
            }
          }
        },
        "tags": [
          "Availabilities"
        ],
        "operationId": "getAvailabilities"
      }
    }
  },
  "servers": [
    {
      "url": "https://nexhealth.info"
    }
  ],
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "API_Errors_BadRequest": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_BadRequest model"
      },
      "API_Errors_Unauthorized": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_Unauthorized model"
      },
      "API_Errors_Forbidden": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_Forbidden model"
      },
      "API_Errors_InternalServerError": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_InternalServerError model"
      },
      "API_Errors_NotFound": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_NotFound model"
      },
      "API_V2_Entities_AppointmentTypeBasic": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "example": 1,
            "description": "Appointment type Id"
          },
          "name": {
            "type": "string",
            "example": "Medical",
            "description": "Appointment type name. Unique string identifier"
          },
          "parent_type": {
            "type": "string",
            "example": "Institution",
            "description": "Parent type for appointment type. Defines the belongs to relationship with either Institution or Location"
          },
          "parent_id": {
            "type": "integer",
            "format": "int32",
            "example": 1,
            "description": "Identifies the specific resource the appointment type belongs to (see parent_type)"
          },
          "minutes": {
            "type": "integer",
            "format": "int32",
            "example": 15,
            "description": "Default duration of appointments of this appointment type"
          },
          "bookable_online": {
            "type": "boolean",
            "example": false,
            "description": "True if this appointment type should be bookable via the NexHealth online booking page"
          }
        }
      },
      "API_V2_Entities_WorkingHour_Collection_Response": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "example": false,
            "description": "Indicates the success or failure of the request"
          },
          "description": {
            "type": "string",
            "example": "Description",
            "description": "Additional context on the request to help with debugging."
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "example": [
              "Error message"
            ],
            "description": "Any errors that occur during the execution of the request."
          },
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_WorkingHour"
            }
          },
          "count": {
            "type": "integer",
            "format": "int32",
            "example": 2,
            "description": "Number of total objects, in case of collection."
          }
        },
        "description": "API_V2_Entities_WorkingHour_Collection_Response model"
      },
      "API_V2_Entities_WorkingHour": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "example": 12,
            "description": "Resource id"
          },
          "provider_id": {
            "type": "integer",
            "format": "int32",
            "example": 7,
            "description": "Provider id",
            "nullable": true
          },
          "location_id": {
            "type": "integer",
            "format": "int32",
            "example": 3,
            "description": "Location id",
            "nullable": true
          },
          "operatory_id": {
            "type": "integer",
            "format": "int64",
            "example": 149,
            "description": "Operatory id",
            "nullable": true
          },
          "begin_time": {
            "type": "string",
            "example": "10:30",
            "description": "Availability start time in the practices timezone"
          },
          "end_time": {
            "type": "string",
            "example": "17:00",
            "description": "Availability end time in the practices timezone"
          },
          "days": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "example": [
              "Monday",
              "Tuesday",
              "Wednesday",
              "Thursday",
              "Friday"
            ],
            "description": "Configured week days. Empty when the working hour is configured for a custom recurrence",
            "nullable": true
          },
          "specific_date": {
            "type": "string",
            "format": "date",
            "example": "2022-11-03",
            "description": "Configured specific date",
            "nullable": true
          },
          "custom_recurrence": {
            "type": "object",
            "example": {
              "num": 3,
              "unit": "day",
              "ref": "2022-11-03"
            },
            "description": "Configured custom recurrence, with the fields num (recurrence interval count), ref (starting date), and unit (day, week, or month)",
            "nullable": true
          },
          "tz_offset": {
            "type": "string",
            "example": "-0700",
            "description": "UTC offset for the practice"
          },
          "active": {
            "type": "boolean",
            "example": true,
            "description": "Is active?"
          },
          "synced": {
            "type": "boolean",
            "example": true,
            "description": "True if the availability is synced with the EHR, false otherwise"
          },
          "appointment_types": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_AppointmentTypeBasic"
            },
            "description": "Associated appointment types"
          }
        }
      }
    }
  }
}
```